package GD.Data;

import java.util.List;
import java.util.Vector;

public interface IGazeContainer {
	/**
	 * Add gaze entry to the container
	 * 
	 * @param <T>
	 *            Type of the gaze entry
	 * @param entry
	 *            Entry to add
	 */
	<T extends GazeEntryBase> void Add(T entry);
        
        /**
	 * Add gaze entry to the container
	 * 
	 * @param <T>
	 *            Type of the gaze entry
	 * @param entries
	 *            List of entries to add
	 */
	<T extends GazeEntryBase> void Add(Vector<T> entries);

	/**
	 * Get queue of entries
	 * 
	 * @param <T>
	 *            Type of entries to return
	 * @return JQueue of elements
	 * @throws Exception
	 */
	<T extends GazeEntryBase> Queue<T> Get(EEntryType type) throws Exception;
}
