package GD.Graphics;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Point;

import GD.Graphics.IGazeMark;

public class GazeMarkPanel extends javax.swing.JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** Current mark. It reference the mark that should be drawn on the screen */
	private GazeMarkBase mCurMark;

	/**
	 * Constructor
	 */
	public GazeMarkPanel() {
		super();
		setBackground(Color.GRAY);
	}

	@Override
	public void paint(Graphics g) {
		super.paint(g);
		if (mCurMark != null) {
			Color c = g.getColor();
			g.setColor(Color.RED);
			mCurMark.draw(g, new Point(getWidth() / 2, getHeight() / 2));
			g.setColor(c);
		}
	}

	/**
	 * Redraw panel
	 */
	public void redraw() {
		paint(getGraphics());
	}

	/**
	 * Set the mark that should be drawn on the screen
	 * 
	 * @param m
	 *            Mark to be set as current one
	 */
	public void setMark(GazeMarkBase m) {
		mCurMark = m;
	}
        
        /**
	 * Get the mark that should be drawn on the screen
	 * 
	 * @param m
	 *            Mark to be set as current one
	 */
	public GazeMarkBase getMark() {
		return mCurMark;
	}
}
