package GD.Graphics;

import java.awt.Graphics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;

/**
 * Simple oval gaze data mark.
 * 
 * 
 * @version 2.0.0
 * @author Andrey Shipilov
 */

class MarkCrosshair extends GazeMarkBase {
	/**
	 * Size of the gap in the center of the crosshair. It depends on the
	 * bounding rectangle size
	 */
	int mGapSize;

	public MarkCrosshair(String typeName) {
            super(typeName);
	}

	public void setSize(Rectangle2D size) {
		mSize = size;
		mGapSize = (int) Math.min(mSize.getWidth() * 0.1,
				mSize.getHeight() * 0.1);
	}

	public Rectangle2D draw(Graphics g, Point coords) {
            Rectangle2D outRect = getSize();
            if (g != null) {
                outRect.setRect(coords.x - outRect.getWidth() / 2,
                    coords.y - outRect.getHeight() / 2, outRect.getWidth(),
                    outRect.getHeight());

                g.drawLine((int) outRect.getMinX(), (int) outRect.getMinY(),
                    coords.x - this.mGapSize, coords.y - this.mGapSize);
		g.drawLine((int) outRect.getMaxX(), (int) outRect.getMinY(),
                    coords.x + this.mGapSize, coords.y - this.mGapSize);
		g.drawLine((int) outRect.getMinX(), (int) outRect.getMaxY(),
                    coords.x - this.mGapSize, coords.y + this.mGapSize);
		g.drawLine((int) outRect.getMaxX(), (int) outRect.getMaxY(),
                    coords.x + this.mGapSize, coords.y + this.mGapSize);
            }

            return outRect;
	}
}
