package GazeVnc;

import GD.GUI.GazeOptionsFrame;
import GD.GUI.IGazeCanvas;
import java.awt.Button;
import java.awt.event.ActionEvent;

import TightVnc.ButtonPanel;

public class GazeButtonPanel extends ButtonPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4486786472735149097L;
	
	Button gazeOptButton;
        
	GazeVncViewer gviewer;

	public GazeButtonPanel(GazeVncViewer v) {
		super(v);
                gviewer = v;
		
		gazeOptButton = new Button("Gaze Options");
		gazeOptButton.setEnabled(false);
		add(gazeOptButton);
		gazeOptButton.addActionListener(this);
	}
	
	@Override
	public void actionPerformed(ActionEvent evt) {
		if (evt.getSource() == gazeOptButton) {
                    	if (gviewer != null)
				gviewer.ShowGazeOptions();
		} else {
			super.actionPerformed(evt);
		}
	}
	
	@Override
	public void disableButtonsOnDisconnect() {
		gazeOptButton.setEnabled(false);
		super.disableButtonsOnDisconnect();
	}

	@Override
	public void enableButtons() {
		gazeOptButton.setEnabled(true);
		super.enableButtons();
	}

}
